Bug 240536 - textproc/gtk-doc: make configure dependency on highlight explicit
Summary: textproc/gtk-doc: make configure dependency on highlight explicit
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: freebsd-gnome (Nobody)
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2019-09-12 14:06 UTC by John Hein
Modified: 2020-08-02 16:05 UTC (History)
2 users (show)

See Also:
tcberner: maintainer-feedback+


Attachments
[patch] make highlight dependency explicit at configure time (703 bytes, patch)
2019-09-12 14:06 UTC, John Hein
jcfyecrayz: maintainer-approval? (gnome)
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description John Hein 2019-09-12 14:06:19 UTC
Created attachment 207421 [details]
[patch] make highlight dependency explicit at configure time

If textproc/source-highlight is installed when you run 'make -C textproc/gtk-doc configure', the configure phase will detect source-highlight first before highlight.  This makes gtk-doc implicitly dependent on source-highlight.  If source-highlight is later removed, gtk-doc is broken (config.py contains a now invalid reference to source-highlight).

This is solved by specifying --with-highlight=highlight for configure.

While here, appease portlint a bit by moving USES earlier.

I could see that this could merit a PORTREVISION bump, but this change shouldn't change packages that are currently built on the freebsd package servers (a poudriere gtk-doc build jail would not have the source-highlight package installed).

QA:
 - poudriere textport: ok
 - portlint: ok
Comment 1 John Hein 2020-07-30 15:37:11 UTC
Maintainer timeout?
Comment 2 Tobias C. Berner freebsd_committer 2020-08-02 16:05:07 UTC
Committed. Thank you.
Comment 3 commit-hook freebsd_committer 2020-08-02 16:05:38 UTC
A commit references this bug:

Author: tcberner
Date: Sun Aug  2 16:04:59 UTC 2020
New revision: 543973
URL: https://svnweb.freebsd.org/changeset/ports/543973

Log:
  textproc/gtk-doc: make configure dependency on highlight explicit

  If textproc/source-highlight is installed when you run 'make -C
  textproc/gtk-doc configure', the configure phase will detect source-highlight
  first before highlight.  This makes gtk-doc implicitly dependent on
  source-highlight.  If source-highlight is later removed, gtk-doc is broken
  (config.py contains a now invalid reference to source-highlight).

  This is solved by specifying --with-highlight=highlight for configure.

  PR:		240536
  Submitted by:	John Hein <jcfyecrayz@liamekaens.com>

Changes:
  head/textproc/gtk-doc/Makefile